GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
transport_security.c File Reference
`#include "src/core/tsi/transport_security.h"`
`#include <stdlib.h>`
`#include <string.h>`

## Functions
char * | tsi_strdup (const char *src)
const char * | tsi_result_to_string (tsi_result result)
tsi_result | tsi_frame_protector_protect (tsi_frame_protector *self, const unsigned char *unprotected_bytes, size_t *unprotected_bytes_size, unsigned char *protected_output_frames, size_t *protected_output_frames_size)
tsi_result | tsi_frame_protector_protect_flush (tsi_frame_protector *self, unsigned char *protected_output_frames, size_t *protected_output_frames_size, size_t *still_pending_size)
tsi_result | tsi_frame_protector_unprotect (tsi_frame_protector *self, const unsigned char *protected_frames_bytes, size_t *protected_frames_bytes_size, unsigned char *unprotected_bytes, size_t *unprotected_bytes_size)
void | tsi_frame_protector_destroy (tsi_frame_protector *self)
tsi_result | tsi_handshaker_get_bytes_to_send_to_peer (tsi_handshaker *self, unsigned char *bytes, size_t *bytes_size)
tsi_result | tsi_handshaker_process_bytes_from_peer (tsi_handshaker *self, const unsigned char *bytes, size_t *bytes_size)
tsi_result | tsi_handshaker_get_result (tsi_handshaker *self)
tsi_result | tsi_handshaker_extract_peer (tsi_handshaker *self, tsi_peer *peer)
tsi_result | tsi_handshaker_create_frame_protector (tsi_handshaker *self, size_t *max_protected_frame_size, tsi_frame_protector **protector)
void | tsi_handshaker_destroy (tsi_handshaker *self)
tsi_peer_property | tsi_init_peer_property (void)
void | tsi_peer_property_destruct (tsi_peer_property *property)
void | tsi_peer_destruct (tsi_peer *self)
tsi_result | tsi_construct_allocated_string_peer_property (const char *name, size_t value_length, tsi_peer_property *property)
tsi_result | tsi_construct_string_peer_property_from_cstring (const char *name, const char *value, tsi_peer_property *property)
tsi_result | tsi_construct_string_peer_property (const char *name, const char *value, size_t value_length, tsi_peer_property *property)
tsi_result | tsi_construct_peer (size_t property_count, tsi_peer *peer)

## Variables
int | tsi_tracing_enabled = 0

## Function Documentation

tsi_result tsi_construct_allocated_string_peer_property | ( | const char * | name,
|  | size_t | value_length,
|  | tsi_peer_property * | property
| ) |  |

tsi_result tsi_construct_peer | ( | size_t | property_count,
|  | tsi_peer * | peer
| ) |  |

tsi_result tsi_construct_string_peer_property | ( | const char * | name,
|  | const char * | value,
|  | size_t | value_length,
|  | tsi_peer_property * | property
| ) |  |

tsi_result tsi_construct_string_peer_property_from_cstring | ( | const char * | name,
|  | const char * | value,
|  | tsi_peer_property * | property
| ) |  |

void tsi_frame_protector_destroy | ( | tsi_frame_protector * | self | ) |

tsi_result tsi_frame_protector_protect | ( | tsi_frame_protector * | self,
|  | const unsigned char * | unprotected_bytes,
|  | size_t * | unprotected_bytes_size,
|  | unsigned char * | protected_output_frames,
|  | size_t * | protected_output_frames_size
| ) |  |

tsi_result tsi_frame_protector_protect_flush | ( | tsi_frame_protector * | self,
|  | unsigned char * | protected_output_frames,
|  | size_t * | protected_output_frames_size,
|  | size_t * | still_pending_size
| ) |  |

tsi_result tsi_frame_protector_unprotect | ( | tsi_frame_protector * | self,
|  | const unsigned char * | protected_frames_bytes,
|  | size_t * | protected_frames_bytes_size,
|  | unsigned char * | unprotected_bytes,
|  | size_t * | unprotected_bytes_size
| ) |  |

tsi_result tsi_handshaker_create_frame_protector | ( | tsi_handshaker * | self,
|  | size_t * | max_protected_frame_size,
|  | tsi_frame_protector ** | protector
| ) |  |

void tsi_handshaker_destroy | ( | tsi_handshaker * | self | ) |

tsi_result tsi_handshaker_extract_peer | ( | tsi_handshaker * | self,
|  | tsi_peer * | peer
| ) |  |

tsi_result tsi_handshaker_get_bytes_to_send_to_peer | ( | tsi_handshaker * | self,
|  | unsigned char * | bytes,
|  | size_t * | bytes_size
| ) |  |

tsi_result tsi_handshaker_get_result | ( | tsi_handshaker * | self | ) |

tsi_result tsi_handshaker_process_bytes_from_peer | ( | tsi_handshaker * | self,
|  | const unsigned char * | bytes,
|  | size_t * | bytes_size
| ) |  |

tsi_peer_property tsi_init_peer_property | ( | void |  | ) |

void tsi_peer_destruct | ( | tsi_peer * | self | ) |

void tsi_peer_property_destruct | ( | tsi_peer_property * | property | ) |

const char* tsi_result_to_string | ( | tsi_result | result | ) |

char* tsi_strdup | ( | const char * | src | ) |

## Variable Documentation

int tsi_tracing_enabled = 0